#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%define	pdir	WeakRef
Summary:	WeakRef - an API to the Perl weak references
Summary(pl.UTF-8):	WeakRef - API do perlowych słabych referencji
Name:		perl-WeakRef
Version:	0.01
Release:	14
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-authors/id/L/LU/LUKKA/%{pdir}-%{version}.tar.gz
# Source0-md5:	3162df7a6eda0dfb44676dd9ebfa3c4c
URL:		http://search.cpan.org/dist/WeakRef/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
WeakRef - an API to the Perl weak references.

%description -l pl.UTF-8
WeakRef - API do perlowych słabych referencji.

%prep
%setup -q -n %{pdir}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/*.pm
%dir %{perl_vendorarch}/auto/WeakRef/
%attr(755,root,root) %{perl_vendorarch}/auto/WeakRef/*.so
%{_mandir}/man3/*
%changelog
* Fri May 07 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-WeakRef.git;a=log;h=master

* Fri May 07 2021 Jan Rękorajski <baggins@pld-linux.org> 048e0a0
- rebuild with perl 5.32

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> 2e8040c
- drop obsolete and outdated manual inclusion of rpm macros

* Wed Dec 04 2019 Jan Rękorajski <baggins@pld-linux.org> 6caf1e3
- rebuild with perl 5.30.0
- release 13 (by relup.sh)

* Thu Aug 30 2018 Jan Rękorajski <baggins@pld-linux.org> 03898d6
- rebuild with perl 5.28.0
- release 12 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 18fb38c
- perl req/prov fix
- release 11 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 5fda19d
- rebuild with perl 5.26
- release 10 (by relup.sh)

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> 209f25d
- rebuild with perl 5.24.0
- release 9 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> 8f607ec
- release 8 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> 8603d07
- x32 rebuild
- release 7 (by relup.sh)

* Sat Sep 13 2014 Jan Rękorajski <baggins@pld-linux.org> 61a537e
- release 6 (by relup.sh)

* Sat Sep 13 2014 Jan Rękorajski <baggins@pld-linux.org> e599215
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> ab2d1df
- rebuild for perl 5.20
- release 5 (by relup.sh)

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 997766a
- rebuild with perl 5.18.0
- release 4 (by relup.sh)

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 8606543
- release 3

* Sun Feb 10 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 1acbf22
- rel 2

* Thu Jan 10 2008 Elan Ruusamäe <glen@pld-linux.org> 6c20f79
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

* Sat Mar 31 2007 Jakub Bogusz <qboosh@pld-linux.org> b817814
- pl

* Thu Mar 29 2007 radek <radek@pld-linux.org> 6603cc5
- release 1

* Thu Mar 29 2007 radek <radek@pld-linux.org> e21e410
- new

